Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# scale.hh File Reference

A GtkScale, GtkHScale and GtkVScale C++ wrapper interface. More...

`#include <xfc/gtk/range.hh>`
`#include <gtk/gtkhscale.h>`
`#include <gtk/gtkvscale.h>`
`#include <xfc/gtk/inline/scale.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Pango
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Scale
    A GtkScale C++ wrapper class. More...
- class Xfc::Gtk::HScale
    A GtkHScale C++ wrapper class. More...
- class Xfc::Gtk::VScale
    A GtkVScale C++ wrapper class. More...

## Detailed Description

A GtkScale, GtkHScale and GtkVScale C++ wrapper interface.

Provides Scale, a widget used only for deriving the subclasses HScale and VScale.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3